low level methods for surface workbench

Need help, or want to share a macro? Post here!
Forum rules
Be nice to others! Respect the FreeCAD code of conduct!
Post Reply
User avatar
microelly2
Veteran
Posts: 4688
Joined: Tue Nov 12, 2013 4:06 pm
Contact:

low level methods for surface workbench

Post by microelly2 »

I'm looking for a low level python method to create the shape of a Surface::GeomFillSurface
At the moment I have to create a whole object and grasp the shape.

Code: Select all

sh=Part.Compound([sf2.toShape(),sf3.toShape(),sf1.toShape()])
Part.show(sh)
tt=FreeCAD.ActiveDocument.ActiveObject

surf=FreeCAD.ActiveDocument.addObject("Surface::GeomFillSurface","Surface")
surf.BoundaryList=[(tt, ('Edge1', 'Edge2', 'Edge3'))]
Somethig like Part.makeLoft inside the Surface Workbench
Post Reply